# $Revision: 1.10 $, $Date: 2012/01/24 16:15:08 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Manual
Summary:	Catalyst::Manual - The Catalyst developer's manual
Summary(pl.UTF-8):	Catalyst::Manual - podręcznik programisty Catalysta
Name:		perl-Catalyst-Manual
Version:	5.9002
Release:	1
Epoch:		1
License:	GPL v1+ or Artistic
Group:		Documentation
Source0:	http://www.cpan.org/modules/by-module/Catalyst/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b9dcaf8a7030994af617efea255e03ea
URL:		http://search.cpan.org/dist/Catalyst-Manual/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.42
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Catalyst::Manual - The Catalyst developer's manual.

%description -l pl.UTF-8
Catalyst::Manual - podręcznik programisty Catalysta.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/*.pm
%dir %{perl_vendorlib}/Catalyst/Manual
%{perl_vendorlib}/Catalyst/Manual/Plugins.pm
# Catalyst::Manual.3pm.gz conflicts with file from Catalyst, and that one is more useful
%{_mandir}/man3/Catalyst::Manual::*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Manual.spec,v $
Revision 1.10  2012/01/24 16:15:08  zbyniu
- up to 5.9002

Revision 1.9  2011/07/11 20:30:58  marti
- up to 5.8007

Revision 1.8  2009/11/20 07:21:04  amateja
- updated to 5.8002

Revision 1.7  2009/10/16 12:57:17  amateja
- updated to 5.8001

Revision 1.6  2009/06/16 11:28:38  amateja
- updated to 5.8000

Revision 1.5  2008/12/11 14:17:20  radek
- version 5.7014, epoch 1

Revision 1.4  2008-02-23 14:33:20  radek
- version 5.701003

Revision 1.3  2007/09/09 12:36:30  radek
- version 5.701002

Revision 1.2  2007/04/05 15:49:53  qboosh
- pl

Revision 1.1  2007/03/30 11:51:14  radek
- new
